repo/gentoo:master commit in: dev-lang/deno-bin/

"Ionen Wolkens" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786030783.d7148dbd54ffd5d636bed1c53dd350f915ddf557.ionen@gentoo>
commit:     d7148dbd54ffd5d636bed1c53dd350f915ddf557
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Thu Aug  6 15:15:25 2026 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 15:39:43 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7148dbd

dev-lang/deno-bin: add 2.9.5

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-lang/deno-bin/Manifest              |  2 ++
 dev-lang/deno-bin/deno-bin-2.9.5.ebuild | 63 +++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-lang/deno-bin/Manifest b/dev-lang/deno-bin/Manifest
index b720235166c6..a5d786825935 100644
--- a/dev-lang/deno-bin/Manifest
+++ b/dev-lang/deno-bin/Manifest
@@ -2,3 +2,5 @@ DIST deno-bin-2.8.3-amd64.zip 43810239 BLAKE2B abbfb607351fdbd1849a3e05de8b97675
 DIST deno-bin-2.8.3-arm64.zip 42042289 BLAKE2B 18274847117f45e3952029baf22a122c326f00dcce27aff0e6ef127836373beadb4e6d2e41e3be312d027132c409ebb155276deaf2d6a3404e0aec683249ab9b SHA512 7dee706159037a5adb33787fd2ea81df2a13a8acbdea93dedd6660a45ce22ef15c294575cd5550c5dd5f11e398f686b8cf39117ceea22f92ba7c5f6666b6d33c
 DIST deno-bin-2.9.4-amd64.zip 43834754 BLAKE2B 4bab6c54af143a8e11e1851eb1c7e03b738e9890f0de601a974217c5f11dc8b4d32b346eba7b9d8129a426717dfe8df3db71277c0577ccc9bc427a14e26ecc55 SHA512 b56aa469c0f5cdce2d1e007cfaaee71a652993bb6e0e1570b744ba1b22676b6f6d487e50725f1f70ac4c3ac2ab689b74b613b249ab3a47e48e694a6a18fc0eb0
 DIST deno-bin-2.9.4-arm64.zip 41975714 BLAKE2B ec05892504c54cc1134978289aac740174ea96654f23dd7b3d5bfba57b5b67a62d73c6912389725434fac1c170129e80e888ad65b93a27f7fcc0d1e21ae3bd79 SHA512 730b1e0d11e597c0546e85a680181c886a94cebc4ccecbf61c5745fb33e5427b8d653e26e0f22a36a13349a66e83a2934fff9ab4cd0f3c7123d18f1efc82d888
+DIST deno-bin-2.9.5-amd64.zip 41638854 BLAKE2B 57c6966b86ca2ff12b75fcfba996408108cbf635a483cfe5ca0b49076ea4f608273d71bfd78993bfacf8bce9e226ef9c5fe649fbda5dc2149a9467a57118963d SHA512 5bd8e354ad19410d2a193dd7194f952c62e3e3301bf087395142bad694d55832d856605e36cdb2e25e88a4a55b0bd75bee26c2b880ee685299eb9d52e121a052
+DIST deno-bin-2.9.5-arm64.zip 39902077 BLAKE2B 30078a61a9231744a75eecd7ab4fcc7ff4214afdec082071629157dd04e55345a4c9fad4799324e997fdd1a5d633ef5a5ae37b266d299714706ad7e6d9012614 SHA512 78fee4584acb1282fea9e426e34d105dfff876fd2d01e8323af96ba39152b16cbdd38e3dd08b067e9b497de2277185e92c6904f8f9e9380e3775607ccedbf6f7

diff --git a/dev-lang/deno-bin/deno-bin-2.9.5.ebuild b/dev-lang/deno-bin/deno-bin-2.9.5.ebuild
new file mode 100644
index 000000000000..5baf84ee6900
--- /dev/null
+++ b/dev-lang/deno-bin/deno-bin-2.9.5.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+inherit shell-completion toolchain-funcs
+
+DESCRIPTION="Modern runtime for JavaScript and TypeScript"
+HOMEPAGE="https://deno.com/"
+SRC_URI="
+	amd64? (
+		https://github.com/denoland/deno/releases/download/v${PV}/deno-x86_64-unknown-linux-gnu.zip
+			-> ${P}-amd64.zip
+	)
+	arm64? (
+		https://github.com/denoland/deno/releases/download/v${PV}/deno-aarch64-unknown-linux-gnu.zip
+			-> ${P}-arm64.zip
+	)
+"
+S=${WORKDIR}
+
+LICENSE="MIT"
+LICENSE+="
+	Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD CC0-1.0 ISC MIT
+	MPL-2.0 openssl Unicode-3.0 Unicode-DFS-2016 ZLIB
+" # crates
+SLOT="0"
+KEYWORDS="-* ~amd64 ~arm64"
+
+RDEPEND="
+	|| (
+		llvm-runtimes/libgcc
+		sys-devel/gcc:*
+	)
+	sys-libs/glibc
+"
+BDEPEND="
+	app-arch/unzip
+"
+
+QA_PREBUILT="usr/bin/deno"
+
+src_compile() {
+	if ! tc-is-cross-compiler; then
+		./deno completions bash > "${T}"/deno || die
+		./deno completions fish > "${T}"/deno.fish || die
+		./deno completions zsh > "${T}"/_deno || die
+	else
+		ewarn "shell completion files were skipped due to cross-compilation"
+	fi
+}
+
+src_install() {
+	dobin deno
+
+	newenvd - 50deno <<<"DENO_NO_UPDATE_CHECK=1"
+
+	if ! tc-is-cross-compiler; then
+		dobashcomp "${T}"/deno
+		dofishcomp "${T}"/deno.fish
+		dozshcomp "${T}"/_deno
+	fi
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.